diff --git a/gcc/config/rs6000/rs6000.c b/gcc/config/rs6000/rs6000.c
index 036a2af..14f8c18 100644
--- a/gcc/config/rs6000/rs6000.c
+++ b/gcc/config/rs6000/rs6000.c
@@ -29199,23 +29199,23 @@ static void
 rs6000_xcoff_file_start (void)
 {
   rs6000_gen_section_name (&xcoff_bss_section_name,
-			   main_input_filename, ".bss_");
+			   GCC_OPTION (main_input_filename), ".bss_");
   rs6000_gen_section_name (&xcoff_private_data_section_name,
-			   main_input_filename, ".rw_");
+			   GCC_OPTION (main_input_filename), ".rw_");
   rs6000_gen_section_name (&xcoff_read_only_section_name,
-			   main_input_filename, ".ro_");
+			   GCC_OPTION (main_input_filename), ".ro_");
   rs6000_gen_section_name (&xcoff_tls_data_section_name,
-			   main_input_filename, ".tls_");
+			   GCC_OPTION (main_input_filename), ".tls_");
   rs6000_gen_section_name (&xcoff_tbss_section_name,
-			   main_input_filename, ".tbss_[UL]");
+			   GCC_OPTION (main_input_filename), ".tbss_[UL]");
 
   fputs ("\t.file\t", asm_out_file);
-  output_quoted_string (asm_out_file, main_input_filename);
+  output_quoted_string (asm_out_file, GCC_OPTION (main_input_filename));
   fputc ('\n', asm_out_file);
-  if (write_symbols != NO_DEBUG)
+  if (GCC_OPTION (write_symbols) != NO_DEBUG)
     switch_to_section (private_data_section);
   switch_to_section (text_section);
-  if (profile_flag)
+  if (GCC_OPTION (profile_flag))
     fprintf (asm_out_file, "\t.extern %s\n", RS6000_MCOUNT);
   rs6000_file_start ();
 }
@@ -29655,9 +29655,9 @@ rs6000_register_move_cost (enum machine_mode mode,
 
       /* For those processors that have slow LR/CTR moves, make them more
          expensive than memory in order to bias spills to memory .*/
-      else if ((rs6000_cpu == PROCESSOR_POWER6
-		|| rs6000_cpu == PROCESSOR_POWER7
-		|| rs6000_cpu == PROCESSOR_POWER8)
+      else if ((GCC_OPTION (rs6000_cpu) == PROCESSOR_POWER6
+		|| GCC_OPTION (rs6000_cpu) == PROCESSOR_POWER7
+		|| GCC_OPTION (rs6000_cpu) == PROCESSOR_POWER8)
 	       && reg_classes_intersect_p (rclass, LINK_OR_CTR_REGS))
         ret = 6 * hard_regno_nregs[0][mode];
 
@@ -30405,7 +30405,7 @@ altivec_expand_vec_perm_const (rtx operands[4])
     {
       bool swapped;
 
-      if ((patterns[j].mask & rs6000_isa_flags) == 0)
+      if ((patterns[j].mask & GCC_OPTION (rs6000_isa_flags)) == 0)
 	continue;
 
       elt = patterns[j].perm[0];
@@ -30843,7 +30843,7 @@ rs6000_libcall_value (enum machine_mode mode)
 static bool
 rs6000_lra_p (void)
 {
-  return rs6000_lra_flag;
+  return GCC_OPTION (rs6000_lra_flag);
 }
 
 /* Given FROM and TO register numbers, say whether this elimination is allowed.
@@ -30988,7 +30988,7 @@ rs6000_init_dwarf_reg_sizes_extra (tree address)
 unsigned int
 rs6000_dbx_register_number (unsigned int regno)
 {
-  if (regno <= 63 || write_symbols != DWARF2_DEBUG)
+  if (regno <= 63 || GCC_OPTION (write_symbols) != DWARF2_DEBUG)
     return regno;
   if (regno == LR_REGNO)
     return 108;
@@ -31053,7 +31053,7 @@ rs6000_vector_mode_supported_p (enum machine_mode mode)
 static const char *
 invalid_arg_for_unprototyped_fn (const_tree typelist, const_tree funcdecl, const_tree val)
 {
-  return (!rs6000_darwin64_abi
+  return (!GCC_OPTION (rs6000_darwin64_abi)
 	  && typelist == 0
           && TREE_CODE (TREE_TYPE (val)) == VECTOR_TYPE
           && (funcdecl == NULL_TREE
@@ -31071,7 +31071,7 @@ invalid_arg_for_unprototyped_fn (const_tree typelist, const_tree funcdecl, const
 static tree ATTRIBUTE_UNUSED
 rs6000_stack_protect_fail (void)
 {
-  return (DEFAULT_ABI == ABI_V4 && TARGET_SECURE_PLT && flag_pic)
+  return (DEFAULT_ABI == ABI_V4 && TARGET_SECURE_PLT && GCC_OPTION (flag_pic))
 	 ? default_hidden_stack_protect_fail ()
 	 : default_external_stack_protect_fail ();
 }
@@ -31080,7 +31080,7 @@ void
 rs6000_final_prescan_insn (rtx insn, rtx *operand ATTRIBUTE_UNUSED,
 			   int num_operands ATTRIBUTE_UNUSED)
 {
-  if (rs6000_warn_cell_microcode)
+  if (GCC_OPTION (rs6000_warn_cell_microcode))
     {
       const char *temp;
       int insn_code_number = recog_memoized (insn);
@@ -31252,7 +31252,7 @@ rs6000_inner_target_options (tree args, bool attr_p)
 	    {
 	      int cpu_index = rs6000_cpu_name_lookup (q+4);
 	      if (cpu_index >= 0)
-		rs6000_cpu_index = cpu_index;
+		GCC_OPTION (rs6000_cpu_index) = cpu_index;
 	      else
 		{
 		  error_p = true;
@@ -31263,7 +31263,7 @@ rs6000_inner_target_options (tree args, bool attr_p)
 	    {
 	      int tune_index = rs6000_cpu_name_lookup (q+5);
 	      if (tune_index >= 0)
-		rs6000_tune_index = tune_index;
+		GCC_OPTION (rs6000_tune_index) = tune_index;
 	      else
 		{
 		  error_p = true;
@@ -31293,7 +31293,7 @@ rs6000_inner_target_options (tree args, bool attr_p)
 		    else
 		      {
 			error_p = false;
-			rs6000_isa_flags_explicit |= mask;
+			GCC_OPTION (rs6000_isa_flags_explicit) |= mask;
 
 			/* VSX needs altivec, so -mvsx automagically sets
 			   altivec.  */
@@ -31304,9 +31304,9 @@ rs6000_inner_target_options (tree args, bool attr_p)
 			  invert = !invert;
 
 			if (invert)
-			  rs6000_isa_flags &= ~mask;
+			  GCC_OPTION (rs6000_isa_flags) &= ~mask;
 			else
-			  rs6000_isa_flags |= mask;
+			  GCC_OPTION (rs6000_isa_flags) |= mask;
 		      }
 		    break;
 		  }
@@ -31465,7 +31465,7 @@ rs6000_valid_attribute_p (tree fndecl,
   /* The target attributes may also change some optimization flags, so update
      the optimization options if necessary.  */
   cl_target_option_save (&cur_target, &global_options);
-  rs6000_cpu_index = rs6000_tune_index = -1;
+  GCC_OPTION (rs6000_cpu_index) = GCC_OPTION (rs6000_tune_index) = -1;
   ret = rs6000_inner_target_options (args, true);
 
   /* Set up any additional state.  */
@@ -31541,7 +31541,7 @@ rs6000_pragma_target_parse (tree args, tree pop_target)
     }
   else
     {
-      rs6000_cpu_index = rs6000_tune_index = -1;
+      GCC_OPTION (rs6000_cpu_index) = GCC_OPTION (rs6000_tune_index) = -1;
       if (!rs6000_inner_target_options (args, false)
 	  || !rs6000_option_override_internal (false)
 	  || (cur_tree = build_target_option_node (&global_options))
@@ -31976,7 +31976,7 @@ rs6000_call_aix (rtx value, rtx func_desc, rtx flag, rtx cookie)
 
       /* Can we optimize saving the TOC in the prologue or
 	 do we need to do it at every call?  */
-      if (TARGET_SAVE_TOC_INDIRECT && !cfun->calls_alloca)
+      if (GCC_OPTION (TARGET_SAVE_TOC_INDIRECT) && !cfun->calls_alloca)
 	cfun->machine->save_toc_in_prologue = true;
       else
 	{
@@ -32017,7 +32017,7 @@ rs6000_call_aix (rtx value, rtx func_desc, rtx flag, rtx cookie)
 	  toc_load = gen_rtx_USE (VOIDmode, func_toc_mem);
 
 	  /* If we have a static chain, load it up.  */
-	  if (TARGET_POINTERS_TO_NESTED_FUNCTIONS)
+	  if (GCC_OPTION (TARGET_POINTERS_TO_NESTED_FUNCTIONS))
 	    {
 	      rtx sc_reg = gen_rtx_REG (Pmode, STATIC_CHAIN_REGNUM);
 	      rtx func_sc_offset = GEN_INT (2 * GET_MODE_SIZE (Pmode));
@@ -32178,7 +32178,7 @@ rs6000_code_end (void)
 static void
 rs6000_set_up_by_prologue (struct hard_reg_set_container *set)
 {
-  if (!TARGET_SINGLE_PIC_BASE
+  if (!GCC_OPTION (TARGET_SINGLE_PIC_BASE)
       && TARGET_TOC
       && TARGET_MINIMAL_TOC
       && get_pool_size () != 0)
diff --git a/gcc/config/rs6000/rs6000.h b/gcc/config/rs6000/rs6000.h
index a6afb6c..d03cdfb 100644
--- a/gcc/config/rs6000/rs6000.h
+++ b/gcc/config/rs6000/rs6000.h
@@ -62,7 +62,7 @@
 
 /* If configured for PPC405, support PPC405CR Erratum77.  */
 #ifdef CONFIG_PPC405CR
-#define PPC405_ERRATUM77 (rs6000_cpu == PROCESSOR_PPC405)
+#define PPC405_ERRATUM77 (GCC_OPTION (rs6000_cpu) == PROCESSOR_PPC405)
 #else
 #define PPC405_ERRATUM77 0
 #endif
@@ -307,7 +307,7 @@ extern const char *host_detect_local_cpu (int argc, const char **argv);
 #undef  TARGET_TLS_MARKERS
 #define TARGET_TLS_MARKERS 0
 #else
-#define TARGET_TLS_MARKERS tls_markers
+#define TARGET_TLS_MARKERS GCC_OPTION (tls_markers)
 #endif
 
 #ifndef TARGET_SECURE_PLT
@@ -394,13 +394,13 @@ extern const char *host_detect_local_cpu (int argc, const char **argv);
 				 | MASK_DEBUG_TARGET \
 				 | MASK_DEBUG_BUILTIN)
 
-#define	TARGET_DEBUG_STACK	(rs6000_debug & MASK_DEBUG_STACK)
-#define	TARGET_DEBUG_ARG	(rs6000_debug & MASK_DEBUG_ARG)
-#define TARGET_DEBUG_REG	(rs6000_debug & MASK_DEBUG_REG)
-#define TARGET_DEBUG_ADDR	(rs6000_debug & MASK_DEBUG_ADDR)
-#define TARGET_DEBUG_COST	(rs6000_debug & MASK_DEBUG_COST)
-#define TARGET_DEBUG_TARGET	(rs6000_debug & MASK_DEBUG_TARGET)
-#define TARGET_DEBUG_BUILTIN	(rs6000_debug & MASK_DEBUG_BUILTIN)
+#define	GCC_OPTION (TARGET_DEBUG_STACK)	(GCC_OPTION (rs6000_debug) & MASK_DEBUG_STACK)
+#define	GCC_OPTION (TARGET_DEBUG_ARG)	(GCC_OPTION (rs6000_debug) & MASK_DEBUG_ARG)
+#define TARGET_DEBUG_REG	(GCC_OPTION (rs6000_debug) & MASK_DEBUG_REG)
+#define TARGET_DEBUG_ADDR	(GCC_OPTION (rs6000_debug) & MASK_DEBUG_ADDR)
+#define TARGET_DEBUG_COST	(GCC_OPTION (rs6000_debug) & MASK_DEBUG_COST)
+#define TARGET_DEBUG_TARGET	(GCC_OPTION (rs6000_debug) & MASK_DEBUG_TARGET)
+#define TARGET_DEBUG_BUILTIN	(GCC_OPTION (rs6000_debug) & MASK_DEBUG_BUILTIN)
 
 /* Describe the vector unit used for arithmetic operations.  */
 extern enum rs6000_vector rs6000_vector_unit[];
@@ -475,7 +475,7 @@ extern int rs6000_vector_align[];
    be useful to use big-endian element order when targeting little-endian.
    This is set via -maltivec=be, for example.  */
 #define VECTOR_ELT_ORDER_BIG                                  \
-  (BYTES_BIG_ENDIAN || (rs6000_altivec_element_order == 2))
+  (BYTES_BIG_ENDIAN || (GCC_OPTION (rs6000_altivec_element_order) == 2))
 
 /* Alignment options for fields in structures for sub-targets following
    AIX-like ABI.
@@ -489,15 +489,15 @@ extern int rs6000_vector_align[];
 #ifndef IN_TARGET_LIBS
 #define MASK_ALIGN_POWER   0x00000000
 #define MASK_ALIGN_NATURAL 0x00000001
-#define TARGET_ALIGN_NATURAL (rs6000_alignment_flags & MASK_ALIGN_NATURAL)
+#define TARGET_ALIGN_NATURAL (GCC_OPTION (rs6000_alignment_flags) & MASK_ALIGN_NATURAL)
 #else
 #define TARGET_ALIGN_NATURAL 0
 #endif
 
-#define TARGET_LONG_DOUBLE_128 (rs6000_long_double_type_size == 128)
-#define TARGET_IEEEQUAD rs6000_ieeequad
-#define TARGET_ALTIVEC_ABI rs6000_altivec_abi
-#define TARGET_LDBRX (TARGET_POPCNTD || rs6000_cpu == PROCESSOR_CELL)
+#define TARGET_LONG_DOUBLE_128 (GCC_OPTION (rs6000_long_double_type_size) == 128)
+#define TARGET_IEEEQUAD GCC_OPTION (rs6000_ieeequad)
+#define TARGET_ALTIVEC_ABI GCC_OPTION (rs6000_altivec_abi)
+#define TARGET_LDBRX (TARGET_POPCNTD || GCC_OPTION (rs6000_cpu) == PROCESSOR_CELL)
 
 #define TARGET_SPE_ABI 0
 #define TARGET_SPE 0
@@ -623,8 +623,8 @@ extern int rs6000_vector_align[];
 				      || TARGET_VSX)))
 
 /* E500 cores only support plain "sync", not lwsync.  */
-#define TARGET_NO_LWSYNC (rs6000_cpu == PROCESSOR_PPC8540 \
-			  || rs6000_cpu == PROCESSOR_PPC8548)
+#define TARGET_NO_LWSYNC (GCC_OPTION (rs6000_cpu) == PROCESSOR_PPC8540 \
+			  || GCC_OPTION (rs6000_cpu) == PROCESSOR_PPC8548)
 
 
 /* Whether SF/DF operations are supported on the E500.  */
@@ -813,7 +813,7 @@ extern unsigned char rs6000_recip_bits[];
 /* A C expression for the size in bits of the type `long double' on
    the target machine.  If you don't define this, the default is two
    words.  */
-#define LONG_DOUBLE_TYPE_SIZE rs6000_long_double_type_size
+#define LONG_DOUBLE_TYPE_SIZE GCC_OPTION (rs6000_long_double_type_size)
 
 /* Define this to set long double type size to use in libgcc2.c, which can
    not depend on target_flags.  */
@@ -865,7 +865,7 @@ enum data_align { align_abi, align_opt, align_both };
 /* Make strings word-aligned so strcpy from constants will be faster.  */
 #define CONSTANT_ALIGNMENT(EXP, ALIGN)                           \
   (TREE_CODE (EXP) == STRING_CST	                         \
-   && (STRICT_ALIGNMENT || !optimize_size)                       \
+   && (STRICT_ALIGNMENT || !GCC_OPTION (optimize_size))                       \
    && (ALIGN) < BITS_PER_WORD                                    \
    ? BITS_PER_WORD                                               \
    : (ALIGN))
@@ -1537,8 +1537,8 @@ extern enum reg_class rs6000_constraints[RS6000_CONSTRAINT_MAX];
 
    On the RS/6000, we grow upwards, from the area after the outgoing
    arguments.  */
-#define FRAME_GROWS_DOWNWARD (flag_stack_protect != 0			\
-			      || (flag_sanitize & SANITIZE_ADDRESS) != 0)
+#define FRAME_GROWS_DOWNWARD (GCC_OPTION (flag_stack_protect) != 0			\
+			      || (GCC_OPTION (flag_sanitize) & SANITIZE_ADDRESS) != 0)
 
 /* Size of the fixed area on the stack */
 #define RS6000_SAVE_AREA \
@@ -1939,7 +1939,7 @@ do {									     \
    to allocate such a register (if necessary).  */
 
 #define RS6000_PIC_OFFSET_TABLE_REGNUM 30
-#define PIC_OFFSET_TABLE_REGNUM (flag_pic ? RS6000_PIC_OFFSET_TABLE_REGNUM : INVALID_REGNUM)
+#define PIC_OFFSET_TABLE_REGNUM (GCC_OPTION (flag_pic) ? RS6000_PIC_OFFSET_TABLE_REGNUM : INVALID_REGNUM)
 
 #define TOC_REGISTER (TARGET_MINIMAL_TOC ? RS6000_PIC_OFFSET_TABLE_REGNUM : 2)
 
diff --git a/gcc/config/rs6000/singlefp.h b/gcc/config/rs6000/singlefp.h
index 7922e56..c59438b 100644
--- a/gcc/config/rs6000/singlefp.h
+++ b/gcc/config/rs6000/singlefp.h
@@ -30,10 +30,10 @@
 
 /* FPU operations supported. 
    If TARGET_SINGLE_FPU set, processor supports single fp options. */
-#define TARGET_SINGLE_FLOAT (rs6000_single_float)
-#define TARGET_DOUBLE_FLOAT (rs6000_double_float)
+#define TARGET_SINGLE_FLOAT (GCC_OPTION (rs6000_single_float))
+#define TARGET_DOUBLE_FLOAT (GCC_OPTION (rs6000_double_float))
 #define TARGET_SINGLE_FPU   1
-#define TARGET_SIMPLE_FPU   (rs6000_simple_fpu)
+#define TARGET_SIMPLE_FPU   (GCC_OPTION (rs6000_simple_fpu))
 
 /* FP word width depends on single/double fp support. */
 #define UNITS_PER_FP_WORD ((TARGET_SOFT_FLOAT || TARGET_DOUBLE_FLOAT) ? 8 : 4)
diff --git a/gcc/config/rs6000/sysv4.h b/gcc/config/rs6000/sysv4.h
index d04e6e4..7b7da37 100644
--- a/gcc/config/rs6000/sysv4.h
+++ b/gcc/config/rs6000/sysv4.h
@@ -31,7 +31,7 @@
 #define	TARGET_OBJECT_FORMAT OBJECT_ELF
 
 /* Default ABI to compile code for.  */
-#define DEFAULT_ABI rs6000_current_abi
+#define DEFAULT_ABI GCC_OPTION (rs6000_current_abi)
 
 /* Default ABI to use.  */
 #define RS6000_ABI_NAME "sysv"
@@ -40,24 +40,24 @@
 #undef	ASM_DEFAULT_SPEC
 #define	ASM_DEFAULT_SPEC "-mppc"
 
-#define	TARGET_TOC		((rs6000_isa_flags & OPTION_MASK_64BIT)	\
-				 || ((rs6000_isa_flags			\
+#define	TARGET_TOC		((GCC_OPTION (rs6000_isa_flags) & OPTION_MASK_64BIT)	\
+				 || ((GCC_OPTION (rs6000_isa_flags)			\
 				      & (OPTION_MASK_RELOCATABLE	\
 					 | OPTION_MASK_MINIMAL_TOC))	\
-				     && flag_pic > 1)			\
+				     && GCC_OPTION (flag_pic) > 1)			\
 				 || DEFAULT_ABI != ABI_V4)
 
-#define	TARGET_BITFIELD_TYPE	(! TARGET_NO_BITFIELD_TYPE)
+#define	TARGET_BITFIELD_TYPE	(! GCC_OPTION (TARGET_NO_BITFIELD_TYPE))
 #define	TARGET_BIG_ENDIAN	(! TARGET_LITTLE_ENDIAN)
-#define	TARGET_PROTOTYPE	target_prototype
+#define	TARGET_PROTOTYPE	GCC_OPTION (target_prototype)
 #define	TARGET_NO_PROTOTYPE	(! TARGET_PROTOTYPE)
 #define	TARGET_NO_TOC		(! TARGET_TOC)
 #define	TARGET_NO_EABI		(! TARGET_EABI)
-#define	TARGET_REGNAMES		rs6000_regnames
+#define	TARGET_REGNAMES		GCC_OPTION (rs6000_regnames)
 
 #ifdef HAVE_AS_REL16
 #undef TARGET_SECURE_PLT
-#define TARGET_SECURE_PLT	secure_plt
+#define TARGET_SECURE_PLT	GCC_OPTION (secure_plt)
 #endif
 
 #define SDATA_DEFAULT_SIZE 8
@@ -68,148 +68,148 @@
 #define SUBTARGET_OVERRIDE_OPTIONS					\
 do {									\
   if (!global_options_set.x_g_switch_value)				\
-    g_switch_value = SDATA_DEFAULT_SIZE;				\
+    GCC_OPTION (g_switch_value) = SDATA_DEFAULT_SIZE;				\
 									\
-  if (rs6000_abi_name == NULL)						\
-    rs6000_abi_name = RS6000_ABI_NAME;					\
+  if (GCC_OPTION (rs6000_abi_name) == NULL)						\
+    GCC_OPTION (rs6000_abi_name) = RS6000_ABI_NAME;					\
 									\
-  if (!strcmp (rs6000_abi_name, "sysv"))				\
-    rs6000_current_abi = ABI_V4;					\
-  else if (!strcmp (rs6000_abi_name, "sysv-noeabi"))			\
+  if (!strcmp (GCC_OPTION (rs6000_abi_name), "sysv"))				\
+    GCC_OPTION (rs6000_current_abi) = ABI_V4;					\
+  else if (!strcmp (GCC_OPTION (rs6000_abi_name), "sysv-noeabi"))			\
     {									\
-      rs6000_current_abi = ABI_V4;					\
-      rs6000_isa_flags &= ~ OPTION_MASK_EABI;				\
+      GCC_OPTION (rs6000_current_abi) = ABI_V4;					\
+      GCC_OPTION (rs6000_isa_flags) &= ~ OPTION_MASK_EABI;				\
     }									\
-  else if (!strcmp (rs6000_abi_name, "sysv-eabi")			\
-	   || !strcmp (rs6000_abi_name, "eabi"))			\
+  else if (!strcmp (GCC_OPTION (rs6000_abi_name), "sysv-eabi")			\
+	   || !strcmp (GCC_OPTION (rs6000_abi_name), "eabi"))			\
     {									\
-      rs6000_current_abi = ABI_V4;					\
-      rs6000_isa_flags |= OPTION_MASK_EABI;				\
+      GCC_OPTION (rs6000_current_abi) = ABI_V4;					\
+      GCC_OPTION (rs6000_isa_flags) |= OPTION_MASK_EABI;				\
     }									\
-  else if (!strcmp (rs6000_abi_name, "aixdesc"))			\
-    rs6000_current_abi = ABI_AIX;					\
-  else if (!strcmp (rs6000_abi_name, "freebsd")				\
-	   || !strcmp (rs6000_abi_name, "linux"))			\
+  else if (!strcmp (GCC_OPTION (rs6000_abi_name), "aixdesc"))			\
+    GCC_OPTION (rs6000_current_abi) = ABI_AIX;					\
+  else if (!strcmp (GCC_OPTION (rs6000_abi_name), "freebsd")				\
+	   || !strcmp (GCC_OPTION (rs6000_abi_name), "linux"))			\
     {									\
       if (TARGET_64BIT)							\
-	rs6000_current_abi = ABI_AIX;					\
+	GCC_OPTION (rs6000_current_abi) = ABI_AIX;					\
       else								\
-	rs6000_current_abi = ABI_V4;					\
+	GCC_OPTION (rs6000_current_abi) = ABI_V4;					\
     }									\
-  else if (!strcmp (rs6000_abi_name, "netbsd"))				\
-    rs6000_current_abi = ABI_V4;					\
-  else if (!strcmp (rs6000_abi_name, "openbsd"))			\
-    rs6000_current_abi = ABI_V4;					\
-  else if (!strcmp (rs6000_abi_name, "i960-old"))			\
+  else if (!strcmp (GCC_OPTION (rs6000_abi_name), "netbsd"))				\
+    GCC_OPTION (rs6000_current_abi) = ABI_V4;					\
+  else if (!strcmp (GCC_OPTION (rs6000_abi_name), "openbsd"))			\
+    GCC_OPTION (rs6000_current_abi) = ABI_V4;					\
+  else if (!strcmp (GCC_OPTION (rs6000_abi_name), "i960-old"))			\
     {									\
-      rs6000_current_abi = ABI_V4;					\
-      rs6000_isa_flags |= (OPTION_MASK_LITTLE_ENDIAN | OPTION_MASK_EABI); \
-      rs6000_isa_flags &= ~OPTION_MASK_STRICT_ALIGN;			\
-      TARGET_NO_BITFIELD_WORD = 1;					\
+      GCC_OPTION (rs6000_current_abi) = ABI_V4;					\
+      GCC_OPTION (rs6000_isa_flags) |= (OPTION_MASK_LITTLE_ENDIAN | OPTION_MASK_EABI); \
+      GCC_OPTION (rs6000_isa_flags) &= ~OPTION_MASK_STRICT_ALIGN;			\
+      GCC_OPTION (TARGET_NO_BITFIELD_WORD) = 1;					\
     }									\
   else									\
     {									\
-      rs6000_current_abi = ABI_V4;					\
-      error ("bad value for -mcall-%s", rs6000_abi_name);		\
+      GCC_OPTION (rs6000_current_abi) = ABI_V4;					\
+      error ("bad value for -mcall-%s", GCC_OPTION (rs6000_abi_name));		\
     }									\
 									\
-  if (rs6000_sdata_name)						\
+  if (GCC_OPTION (rs6000_sdata_name))						\
     {									\
-      if (!strcmp (rs6000_sdata_name, "none"))				\
-	rs6000_sdata = SDATA_NONE;					\
-      else if (!strcmp (rs6000_sdata_name, "data"))			\
-	rs6000_sdata = SDATA_DATA;					\
-      else if (!strcmp (rs6000_sdata_name, "default"))			\
-	rs6000_sdata = (TARGET_EABI) ? SDATA_EABI : SDATA_SYSV;		\
-      else if (!strcmp (rs6000_sdata_name, "sysv"))			\
-	rs6000_sdata = SDATA_SYSV;					\
-      else if (!strcmp (rs6000_sdata_name, "eabi"))			\
-	rs6000_sdata = SDATA_EABI;					\
+      if (!strcmp (GCC_OPTION (rs6000_sdata_name), "none"))				\
+	GCC_OPTION (rs6000_sdata) = SDATA_NONE;					\
+      else if (!strcmp (GCC_OPTION (rs6000_sdata_name), "data"))			\
+	GCC_OPTION (rs6000_sdata) = SDATA_DATA;					\
+      else if (!strcmp (GCC_OPTION (rs6000_sdata_name), "default"))			\
+	GCC_OPTION (rs6000_sdata) = (TARGET_EABI) ? SDATA_EABI : SDATA_SYSV;		\
+      else if (!strcmp (GCC_OPTION (rs6000_sdata_name), "sysv"))			\
+	GCC_OPTION (rs6000_sdata) = SDATA_SYSV;					\
+      else if (!strcmp (GCC_OPTION (rs6000_sdata_name), "eabi"))			\
+	GCC_OPTION (rs6000_sdata) = SDATA_EABI;					\
       else								\
-	error ("bad value for -msdata=%s", rs6000_sdata_name);		\
+	error ("bad value for -msdata=%s", GCC_OPTION (rs6000_sdata_name));		\
     }									\
   else if (DEFAULT_ABI == ABI_V4)					\
     {									\
-      rs6000_sdata = SDATA_DATA;					\
-      rs6000_sdata_name = "data";					\
+      GCC_OPTION (rs6000_sdata) = SDATA_DATA;					\
+      GCC_OPTION (rs6000_sdata_name) = "data";					\
     }									\
   else									\
     {									\
-      rs6000_sdata = SDATA_NONE;					\
-      rs6000_sdata_name = "none";					\
+      GCC_OPTION (rs6000_sdata) = SDATA_NONE;					\
+      GCC_OPTION (rs6000_sdata_name) = "none";					\
     }									\
 									\
   if (TARGET_RELOCATABLE &&						\
-      (rs6000_sdata == SDATA_EABI || rs6000_sdata == SDATA_SYSV))	\
+      (GCC_OPTION (rs6000_sdata) == SDATA_EABI || GCC_OPTION (rs6000_sdata) == SDATA_SYSV))	\
     {									\
-      rs6000_sdata = SDATA_DATA;					\
+      GCC_OPTION (rs6000_sdata) = SDATA_DATA;					\
       error ("-mrelocatable and -msdata=%s are incompatible",		\
-	     rs6000_sdata_name);					\
+	     GCC_OPTION (rs6000_sdata_name));					\
     }									\
 									\
-  else if (flag_pic && DEFAULT_ABI == ABI_V4				\
-	   && (rs6000_sdata == SDATA_EABI				\
-	       || rs6000_sdata == SDATA_SYSV))				\
+  else if (GCC_OPTION (flag_pic) && DEFAULT_ABI == ABI_V4				\
+	   && (GCC_OPTION (rs6000_sdata) == SDATA_EABI				\
+	       || GCC_OPTION (rs6000_sdata) == SDATA_SYSV))				\
     {									\
-      rs6000_sdata = SDATA_DATA;					\
+      GCC_OPTION (rs6000_sdata) = SDATA_DATA;					\
       error ("-f%s and -msdata=%s are incompatible",			\
-	     (flag_pic > 1) ? "PIC" : "pic",				\
-	     rs6000_sdata_name);					\
+	     (GCC_OPTION (flag_pic) > 1) ? "PIC" : "pic",				\
+	     GCC_OPTION (rs6000_sdata_name));					\
     }									\
 									\
-  if ((rs6000_sdata != SDATA_NONE && DEFAULT_ABI != ABI_V4)		\
-      || (rs6000_sdata == SDATA_EABI && !TARGET_EABI))			\
+  if ((GCC_OPTION (rs6000_sdata) != SDATA_NONE && DEFAULT_ABI != ABI_V4)		\
+      || (GCC_OPTION (rs6000_sdata) == SDATA_EABI && !TARGET_EABI))			\
     {									\
-      rs6000_sdata = SDATA_NONE;					\
+      GCC_OPTION (rs6000_sdata) = SDATA_NONE;					\
       error ("-msdata=%s and -mcall-%s are incompatible",		\
-	     rs6000_sdata_name, rs6000_abi_name);			\
+	     GCC_OPTION (rs6000_sdata_name), GCC_OPTION (rs6000_abi_name));			\
     }									\
 									\
-  targetm.have_srodata_section = rs6000_sdata == SDATA_EABI;		\
+  targetm.have_srodata_section = GCC_OPTION (rs6000_sdata) == SDATA_EABI;		\
 									\
   if (TARGET_RELOCATABLE && !TARGET_MINIMAL_TOC)			\
     {									\
-      rs6000_isa_flags |= OPTION_MASK_MINIMAL_TOC;			\
+      GCC_OPTION (rs6000_isa_flags) |= OPTION_MASK_MINIMAL_TOC;			\
       error ("-mrelocatable and -mno-minimal-toc are incompatible");	\
     }									\
 									\
-  if (TARGET_RELOCATABLE && rs6000_current_abi != ABI_V4)		\
+  if (TARGET_RELOCATABLE && GCC_OPTION (rs6000_current_abi) != ABI_V4)		\
     {									\
-      rs6000_isa_flags &= ~OPTION_MASK_RELOCATABLE;			\
+      GCC_OPTION (rs6000_isa_flags) &= ~OPTION_MASK_RELOCATABLE;			\
       error ("-mrelocatable and -mcall-%s are incompatible",		\
-	     rs6000_abi_name);						\
+	     GCC_OPTION (rs6000_abi_name));						\
     }									\
 									\
-  if (!TARGET_64BIT && flag_pic > 1 && rs6000_current_abi != ABI_V4)	\
+  if (!TARGET_64BIT && GCC_OPTION (flag_pic) > 1 && GCC_OPTION (rs6000_current_abi) != ABI_V4)	\
     {									\
-      flag_pic = 0;							\
+      GCC_OPTION (flag_pic) = 0;							\
       error ("-fPIC and -mcall-%s are incompatible",			\
-	     rs6000_abi_name);						\
+	     GCC_OPTION (rs6000_abi_name));						\
     }									\
 									\
-  if (TARGET_SECURE_PLT != secure_plt)					\
+  if (TARGET_SECURE_PLT != GCC_OPTION (secure_plt))					\
     {									\
       error ("-msecure-plt not supported by your assembler");		\
     }									\
 									\
   /* Treat -fPIC the same as -mrelocatable.  */				\
-  if (flag_pic > 1 && DEFAULT_ABI == ABI_V4)				\
+  if (GCC_OPTION (flag_pic) > 1 && DEFAULT_ABI == ABI_V4)				\
     {									\
-      rs6000_isa_flags |= OPTION_MASK_RELOCATABLE | OPTION_MASK_MINIMAL_TOC; \
-      TARGET_NO_FP_IN_TOC = 1;						\
+      GCC_OPTION (rs6000_isa_flags) |= OPTION_MASK_RELOCATABLE | OPTION_MASK_MINIMAL_TOC; \
+      GCC_OPTION (TARGET_NO_FP_IN_TOC) = 1;						\
     }									\
 									\
   else if (TARGET_RELOCATABLE)						\
-    if (!flag_pic)							\
-      flag_pic = 2;							\
+    if (!GCC_OPTION (flag_pic))							\
+      GCC_OPTION (flag_pic) = 2;							\
 } while (0)
 
 #ifndef RS6000_BI_ARCH
 # define SUBSUBTARGET_OVERRIDE_OPTIONS					\
 do {									\
-  if ((TARGET_DEFAULT ^ rs6000_isa_flags) & OPTION_MASK_64BIT)		\
+  if ((TARGET_DEFAULT ^ GCC_OPTION (rs6000_isa_flags)) & OPTION_MASK_64BIT)		\
     error ("-m%s not supported in this configuration",			\
-	   (rs6000_isa_flags & OPTION_MASK_64BIT) ? "64" : "32");	\
+	   (GCC_OPTION (rs6000_isa_flags) & OPTION_MASK_64BIT) ? "64" : "32");	\
 } while (0)
 #endif
 
@@ -262,7 +262,7 @@ do {									\
 #define	PCC_BITFIELD_TYPE_MATTERS (TARGET_BITFIELD_TYPE)
 
 #undef	BITFIELD_NBYTES_LIMITED
-#define	BITFIELD_NBYTES_LIMITED (TARGET_NO_BITFIELD_WORD)
+#define	BITFIELD_NBYTES_LIMITED (GCC_OPTION (TARGET_NO_BITFIELD_WORD))
 
 /* Define this macro to be the value 1 if instructions will fail to
    work if given data not on the nominal alignment.  If instructions
@@ -317,7 +317,7 @@ do {									\
 
 /* Put PC relative got entries in .got2.  */
 #define	MINIMAL_TOC_SECTION_ASM_OP \
-  (TARGET_RELOCATABLE || (flag_pic && DEFAULT_ABI == ABI_V4)		\
+  (TARGET_RELOCATABLE || (GCC_OPTION (flag_pic) && DEFAULT_ABI == ABI_V4)		\
    ? "\t.section\t\".got2\",\"aw\"" : "\t.section\t\".got1\",\"aw\"")
 
 #define	SDATA_SECTION_ASM_OP "\t.section\t\".sdata\",\"aw\""
@@ -351,7 +351,7 @@ do {									\
        || GET_CODE (X) == LABEL_REF					\
        || (GET_CODE (X) == CONST_INT 					\
 	   && GET_MODE_BITSIZE (MODE) <= GET_MODE_BITSIZE (Pmode))	\
-       || (!TARGET_NO_FP_IN_TOC						\
+       || (!GCC_OPTION (TARGET_NO_FP_IN_TOC)						\
 	   && !TARGET_RELOCATABLE					\
 	   && GET_CODE (X) == CONST_DOUBLE				\
 	   && SCALAR_FLOAT_MODE_P (GET_MODE (X))			\
@@ -401,7 +401,7 @@ do {									\
       ASM_OUTPUT_ALIGN (FILE, exact_log2 (ALIGN / BITS_PER_UNIT));	\
       ASM_OUTPUT_LABEL (FILE, NAME);					\
       ASM_OUTPUT_SKIP (FILE, SIZE);					\
-      if (!flag_inhibit_size_directive && (SIZE) > 0)			\
+      if (!GCC_OPTION (flag_inhibit_size_directive) && (SIZE) > 0)			\
 	ASM_OUTPUT_SIZE_DIRECTIVE (FILE, NAME, SIZE);			\
     }									\
   else									\
@@ -495,7 +495,7 @@ extern int fixuplabelno;
 #define TARGET_OS_SYSV_CPP_BUILTINS()		\
   do						\
     {						\
-      if (rs6000_isa_flags_explicit		\
+      if (GCC_OPTION (rs6000_isa_flags_explicit)		\
 	  & OPTION_MASK_RELOCATABLE)		\
 	builtin_define ("_RELOCATABLE");	\
     }						\
@@ -931,7 +931,7 @@ ncrtn.o%s"
    is 0 for data, 1 for code labels, 2 for function pointers.  GLOBAL is
    true if the symbol may be affected by dynamic relocations.  */
 #define ASM_PREFERRED_EH_DATA_FORMAT(CODE,GLOBAL)			     \
-  ((flag_pic || TARGET_RELOCATABLE)					     \
+  ((GCC_OPTION (flag_pic) || TARGET_RELOCATABLE)					     \
    ? (((GLOBAL) ? DW_EH_PE_indirect : 0) | DW_EH_PE_pcrel | DW_EH_PE_sdata4) \
    : DW_EH_PE_absptr)
 
diff --git a/gcc/config/rs6000/vxworks.h b/gcc/config/rs6000/vxworks.h
index 7b4e9b9..d436b09 100644
--- a/gcc/config/rs6000/vxworks.h
+++ b/gcc/config/rs6000/vxworks.h
@@ -124,7 +124,7 @@ VXWORKS_ADDITIONAL_CPP_SPEC
 #define SUBSUBTARGET_OVERRIDE_OPTIONS		\
   do {						\
   if (!global_options_set.x_g_switch_value)	\
-    g_switch_value = SDATA_DEFAULT_SIZE;	\
+    GCC_OPTION (g_switch_value) = SDATA_DEFAULT_SIZE;	\
   VXWORKS_OVERRIDE_OPTIONS;			\
   } while (0)
 
diff --git a/gcc/config/rs6000/xcoff.h b/gcc/config/rs6000/xcoff.h
index f2b7bd0..f95a939 100644
--- a/gcc/config/rs6000/xcoff.h
+++ b/gcc/config/rs6000/xcoff.h
@@ -84,7 +84,7 @@
        || (GET_CODE (X) == CONST_DOUBLE					\
 	   && (TARGET_MINIMAL_TOC					\
 	       || (SCALAR_FLOAT_MODE_P (GET_MODE (X))			\
-		   && ! TARGET_NO_FP_IN_TOC)))))
+		   && ! GCC_OPTION (TARGET_NO_FP_IN_TOC))))))
 
 #define TARGET_ASM_OUTPUT_ANCHOR  rs6000_xcoff_asm_output_anchor
 #define TARGET_ASM_GLOBALIZE_LABEL  rs6000_xcoff_asm_globalize_label
@@ -192,7 +192,7 @@
   putc ('.', FILE);						\
   RS6000_OUTPUT_BASENAME (FILE, buffer);			\
   fputs (":\n", FILE);						\
-  if (write_symbols != NO_DEBUG && !DECL_IGNORED_P (DECL))	\
+  if (GCC_OPTION (write_symbols) != NO_DEBUG && !DECL_IGNORED_P (DECL))	\
     xcoffout_declare_function (FILE, DECL, buffer);		\
 }
 
diff --git a/gcc/config/rs6000/xfpu.h b/gcc/config/rs6000/xfpu.h
index 841800b..2ab8fac 100644
--- a/gcc/config/rs6000/xfpu.h
+++ b/gcc/config/rs6000/xfpu.h
@@ -23,4 +23,4 @@
 /* Undefine definitions from rs6000.h. */
 #undef TARGET_XILINX_FPU 
 
-#define TARGET_XILINX_FPU  (rs6000_xilinx_fpu)
+#define TARGET_XILINX_FPU  (GCC_OPTION (rs6000_xilinx_fpu))
